[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.CreateWnd

Performs actions needed when the handle for the control is created.

## Declaration

Source position: comctrls.pp line 3596

`protected procedure TCustomTreeView.CreateWnd; override;`

## Description

CreateWnd is an overridden method in TCustomTreeView used to perform actions needed when the handle for the control is created or re-created. CreateWnd ensures that the States property is updated to remove the value tvsStateChanging. The internal flags for scroll bar visibility are reset, and the inherited method is called.

## See also

TWinControl.CreateWnd |  | Creates the interface object (widget) and assigns the value in Handle.